aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mssola@mssola.com>2026-02-11 17:15:31 +0100
committerMiquel Sabaté Solà <mssola@mssola.com>2026-02-11 17:15:31 +0100
commitd10d4fd6e6ed2c6939b5504a7de576fa5d4e5317 (patch)
tree8f9fd99e719e4df1fd9bf949975c020b3a21145a /scripts
parent394ccffc5a3f7a6fb791eaa87767cf1bba34199c (diff)
downloadtools.nes-d10d4fd6e6ed2c6939b5504a7de576fa5d4e5317.tar.gz
tools.nes-d10d4fd6e6ed2c6939b5504a7de576fa5d4e5317.zip
Allow using a byte for indirect jumps
They should be expanded to a 16-bit address from the zero-page. The fact that the assembler was complaining about it was simply erroneous. Signed-off-by: Miquel Sabaté Solà <mssola@mssola.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test-e2e.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/test-e2e.sh b/scripts/test-e2e.sh
index 06545b8..02d1ca3 100755
--- a/scripts/test-e2e.sh
+++ b/scripts/test-e2e.sh
@@ -95,6 +95,13 @@ exit_code=$((exit_code + $?))
diff tests/out/avoid_bad_macro.nes tests/expected/avoid_bad_macro.nes
exit_code=$((exit_code + $?))
+echo "test: custom => indirect.nes"
+./target/debug/nasm -c empty --asan tests/indirect.s -o tests/out/indirect.nes 2>tests/out/indirect.txt
+diff tests/out/indirect.txt tests/expected/indirect.txt
+exit_code=$((exit_code + $?))
+diff tests/out/indirect.nes tests/expected/indirect.nes
+exit_code=$((exit_code + $?))
+
##
# code.nes